//
//  NSString+DSMailDeliveryEncoding.h
//  MailDelivery
//
//  Created by darkshadow on 8/12/07.
//  Copyright 2007 Night Productions. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface NSString (DSMailDeliveryEncoding)

- (NSData *)decodeBase64;
- (NSString *)decodeBase64String;
- (NSString *)encodeHTMLChars:(NSStringEncoding *)encoding;
- (NSString *)encodeHTMLChars:(NSStringEncoding *)encoding maxLineLength:(unsigned)maxLength;
- (NSString *)encodeQuotedPrintable:(NSStringEncoding *)encoding;
- (NSString *)encodeQuotedPrintable:(NSStringEncoding *)encoding maxLineLength:(unsigned)maxLength;
- (NSString *)decodeQuotedPrintable:(NSStringEncoding)encoding;
- (NSString *)encodeQuotedPrintableHeader;
- (NSString *)decodeQuotedPrintableHeader;
- (BOOL)isEqualToStringIgnoringWhitespace:(NSString *)aString;
- (BOOL)containsString:(NSString *)aStr;

@end
