#import "ByteSlice.h"

#define MAX_FAST_PATH_SIZE (1 << 13)


@class SharedData;

//A ByteSlice that shares blocks of memory for performance

@interface SharedMemoryByteSlice : ByteSlice {
	SharedData* myData;
	unsigned myOffset;
	unsigned myLength;
}

//retains, does not copy
- initWithData:(SharedData*)data;
- initWithData:(SharedData*)data offset:(unsigned)offset length:(unsigned)length;

@end
